# tbb::blocked_range2d< RowValue, ColValue > Class Template Reference
[Algorithms]

A 2-dimensional range that models the Range concept. More...

`#include <blocked_range2d.h>`

List of all members.

## Public Types

typedef blocked_range< RowValue > | row_range_type
| Type for size of an iteration range.
typedef blocked_range< ColValue > | col_range_type

## Public Member Functions

| blocked_range2d (RowValue row_begin, RowValue row_end, typename row_range_type::size_type row_grainsize, ColValue col_begin, ColValue col_end, typename col_range_type::size_type col_grainsize)
| blocked_range2d (RowValue row_begin, RowValue row_end, ColValue col_begin, ColValue col_end)
bool | empty () const
| True if range is empty.
bool | is_divisible () const
| True if range is divisible into two pieces.
| blocked_range2d (blocked_range2d &r, split)
const row_range_type & | rows () const
| The rows of the iteration space.
const col_range_type & | cols () const
| The columns of the iteration space.

## Detailed Description

### template<typename RowValue, typename ColValue = RowValue>
class tbb::blocked_range2d< RowValue, ColValue >

A 2-dimensional range that models the Range concept.

The documentation for this class was generated from the following file:

- blocked_range2d.h

Copyright © 2005-2012 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.